package com.zcxk.core.common.enums;

import lombok.Getter;


/**
 * @author Andy
 * @description: 终端类型枚举
 * @date 2021/7/16
 * @version V1.0
 **/
@Getter
public enum TerminalEnum {

    /**
     * PC
     */
    PC(0),
    /**
     * M端
     */
    M(1),
    /**
     * 安卓
     */
    ANDROID(2),
    /**
     * 苹果
     */
    IOS(3),
    /**
     * 快应用
     */
    QUICK(4),
    /**
     * 百度小程序
     */
    BDMINI(5),
    /**
     * 微信浏览器
     */
    WECHAT(6),
    /**
     * 微信小程序
     */
    WECHATMINI(7),
    ;

    private final Integer code;


    TerminalEnum(Integer code) {
        this.code = code;
    }

    public static TerminalEnum getByCode(Integer code) {
        TerminalEnum[] values = values();
        for (TerminalEnum terminalEnum : values) {
            if (terminalEnum.getCode().equals(code)) {
                return terminalEnum;
            }
        }
        return null;
    }

}
